Project Manager - Manual

Project Manager is the solution to organizing and using the 3d models, materials, maps and lights in the 3ds Max.
The Project Manager allows easily organize all your 3d files in few minutes.
The organization system allows the to keep references to same folder in different catalogs.
Note: This is a beta version of the Help, but i hope you find it more useful than the previous.

The contents of Project Manager - Manual

Getting Started
User Interface
Ordering & License
Contacts & Credits


Getting Started

Please read the topics bellow to quickly get started with Project Manager.
Frequently Asked Questions

The contents of Getting Started

Quick Start
Install & Uninstall
System Requirements


Quick Start

Project Manager. 3D Models.

This review deals with the MODELS section and its functionality —

quick import / export, merge, creating proxies, relinking textures without opening the file and much more.

https://www.youtube.com/watch?v=QHbhozCcEG4

Project Manager. Review the Batch Render Relink.

https://www.youtube.com/watch?v=KHyMqGpL3RA

Creating user templates for Materials

https://www.youtube.com/watch?v=P7T5DHV64jA

Filling TreeView

https://www.youtube.com/watch?v=IdzfYzJLwQQ#t=32

Merging Models, Assign Materials and Textures, Creating Photometric lights.

https://www.youtube.com/watch?t=1&v=0uGh25fWYnQ

Saving Materials with the modifiers.

https://www.youtube.com/watch?v=O-RdGvd5wrk

How to save Material to Material Library

https://www.youtube.com/watch?v=qbtoPvZjaQ8


Install & Uninstall

Installation:

  • •
    Download* the Project Manager.
  • •
    Unpack archive on a hard disk
  • •
    Run the 3ds Max.
  • •
    Drag the .mzp file into the viewport
  • •
    The installation automatically started.
  • •
    Follow the instructions on screen and generate the identification file at the end.
  • •
    In the 3ds max menu “Customize”>> “Customize User Interface”>> Category “Track” choose the plugin and draw it to the Panel of Instruments.
*For downloading the full version the buyer must be logged**.
You can download the demo without logging.
**Please use your permanent e-mail box (same as you use at purchasing).
You can always restore the password on the page Restore password.

The contents of Install & Uninstall

Installation page 1
Installation page 2
Uninstall


Installation page 1

Installation page 1

License Agreement

1. License Agreement
Open the License Agreement

I Agree

2. I Agree
Turn if you agree to the terms of the license to continue installation.

Cancel

Click for cancel installation.

Uninstall

Turn if you want uninstall previous installation.

Continue

Click for Continue


Installation page 2

Installation page 2

Install Menu

1. Install Menu
Turn to add the menu "Project Manager" to the main 3ds Max menu.

Use Delete Key

2. Use Delete Key
Turn off for disable the "Delete" key.

Check for Updates at Startup

3. Check for Updates at Startup
Check for new versions after each start the plugin.

Use old-style the Material/Map Browser (3dsMax 2011+)

4. Use old-style the Material/Map Browser (3dsMax 2011+)

Generate the identification file

5. Generate the identification file
Open the "Registration" dialog after complete installation.

Start installation

6. Start installation


Uninstall

You can use one of next options for uninstall:
  • 1.
    Choose the item "Uninstall Project Manager" in the main 3ds Max menu "Project Manager"
  • 2.
    Start the installation and turn on the checkbox "Uninstall"
During uninstallation you can choose option for keep all your settings files.
After uninstalling your can restore all files from recycle bin.


System Requirements

System requirements:

same as for your version of the 3ds Max: http://www.autodesk.com/3dsmax-systemrequirements
Note: Please use latest updates for your version of 3ds Max
3ds Max Updates & Service Packs

Supported 3ds Max versions:

3ds Max/Design 2013 and above.

Supported renderers:

you can use this plugin with any renderer.


User Interface

Main menu

1. Main menu
See more about menu here

Title

Display plugin name, version, count of the items in the list and count of the selected items.

"Explorer" and "Asset Files" Tabs

3. "Explorer" and "Asset Files" Tabs
See more about "Explorer" tab here.
And about "Asset Files" tab here.

Navigation toolbar

4. Navigation toolbar
See description here

TreeView

Information panel

7. Information panel
Use this panel for add comments and tags to selected file(s).
Later you can search the files by this comment and tags.

Options panel

8. Options panel
Use this panel for set up the options that will be applied to files after merging to the scene.
This panel contains different options on each tab.

Add\Remove to Favorities

Add\Remove selected item(s) to Favorities.

Information about selected items

10. Information about selected items

Operations with files

11. Operations with files
Repalce Selection
Save selected objects to file

Size of items

12. Size of items

Thumbnail size, View type and Sort

13. Thumbnail size, View type and Sort

File Panel

Details view | Thumbnails and Details view | Thumbnails view

The contents of User Interface

"Explorer" tab
"Asset Files" Tab
Preferences
Support request dialog


"Explorer" tab

On the "Explorer" tab you can organize the 3ds modesl, materials, Textures, HDRI and IES files.
The "Explorer" tab contains 5 sub-tabs - "Models", "Materials", "Textures", "HDRI" and "IES".

The contents of "Explorer" tab

"Models" tab
"Materials" tab
"Textures" tab
"HDRI" tab
"IES" tab
Main toolbar
Main menu
Render Thumbnails Preferences
Manage Custom Menus


"Models" tab

Main toolbar

See more about common items for main toolbar here
Turn off for display all contents in the directory.

EXTENSIONS:

Uncheck for hide file by extension

Edit:

add the custom file type for displaying it by default on the "Models" tab.

Models tools

Replace the selected geometry

Save Selected objects to file.

Replace the selected geometry with selected file in the list.
After merging all your options for merge will be applied.
Opens the "Replace Object" dialog.

Replace Selection with Picked Object

Replace selection in the scene with another object from scene.
Opens the "Replace Object" dialog.

Save Selected objects to file.

  • •

File panel

Context menu

Merge

Export To:

Custom Menu

Thumbnail

Tree view

Context menu

Directory

Standart system directory

Catalog

Virtual directory which can contains the system directories and other catalogs

Favorites

Virtual directory which can contains the links to files, system directories and other catalogs and favorites

Model Merge options

5. Model Merge options
See description for this panel here.

The contents of "Models" tab

Merge and Replace
Context menu for File panel
Context menu for TreeView


Merge and Replace

×

  • Project Manager - Manual
  • User Interface
  • "Explorer" tab
  • "Models" tab
  • Merge and Replace
  • Previous page
  • Next page

Merge and Replace

You can merge a model in several ways.
  • •

    Drag & Drop.

Simple drag the selected items into viewport.
After merging all your options for merge will be applied.
Opened the "Object Place" dialog.
You can clone the merged objects by mouse click.
Hold SHIFT+CTRL and move mouse for free rotation.
For rotate the object by clockwise hold the CTRL and left-click.
For rotate the object by counter clockwise hold the ALT and left-click.
Right-click for stop painting.
  • •

    Drag & Drop with key SHIFT.

Standard merge as from Windows Explorer.
  • •

    Double-click.

Double-click on the item for merge it.
After merging all your options for merge will be applied.
  • •

    From

    context menu

    .

In this case the options for merge will be ignored.

Also you can replace selected objects with objects from file.

Use the menu item "Replace Selection" or click on icon from toolbar:
After merging all your options for merge will be applied.
Opened the "Replace Object" dialog

The contents of Merge and Replace

Model Merge&Placement options
Replace Object


Model Merge&Placement options

×

  • Project Manager - Manual
  • User Interface
  • "Explorer" tab
  • "Models" tab
  • Merge and Replace
  • Model Merge&Placement options
  • Previous page
  • Next page

Model Merge&Placement options

Model Merge&Placement options

Place options

1. Place options
Enhanced placement capabilities for merged objects — including placement on selected objects, all scene objects, or home grid.
Merged object placement can also be done using 2 different modes: By Mouse Click or by using 3DS Max Paint Settings.
Mouse Click mode contains a “Smart Align” feature that helps with even object placement in interiors, such as snapping paintings/sconces onto walls and chandeliers onto ceilings.
On the other hand, 3DS Max Paint Settings Mode allows users to “paint” objects into the scene, using selections or by freehand.
This allows for easy copying of objects needed en masse, such as trees, grass, and stones for exterior landscape scenes.
The Paint Settings Mode, based on standard feature of 3Ds Max known as “Paint Objects”.
Here you can read more about Paint Objects Panel

Place options

Normal | The object will be oriented perpendicular to the target object faces.
Smart | The object will try keep their z-orientation, but adhere to the target object faces. (For example useful for placing sconces on the wall)

Tips:

  • •
    Hold SHIFT for pause Painting.
  • •
    Hold SHIFT+CTRL and move mouse for free rotation.
  • •
    CTRL+Click for rotate by 90deg the clock-wise.
  • •
    ALT+Click for rotate by 90deg counter-clockwise.
  • •
    Use the right mouse click for stop

Exclude options

Shapes (not renderable)

: exclude all not renderable shapes.

Hidden&Frozen:

exclude all hidden and frozen objects.

Cameras

: exclude all cameras.

Exclude objects by class

: specify objects for excluding by their class.
Excluding presets.

Model Merge options

3. Model Merge options

Merge as Proxy

: Check for merge file as proxy or as xRef Objects.
If proxy file exist you can replace it or use it.
If merged model is very big you can display it as box after merging.
Display selected objects as box.

Material Merge options

4. Material Merge options


Replace Object

×

  • Project Manager - Manual
  • User Interface
  • "Explorer" tab
  • "Models" tab
  • Merge and Replace
  • Replace Object
  • Previous page
  • Next page

Replace Object

Replace all instanced objects, or just the selected ones?

All instanced

1. All instanced
Replace all instances to new.

Selection only

2. Selection only
Replace only selected objects, do not replace it instances.

Cancel

Cancel replace operation.

Keep Selection

4. Keep Selection
Place merged objects to same location, but do not remove selected objects.

Reset Pivot

5. Reset Pivot


Context menu for File panel

×

  • Project Manager - Manual
  • User Interface
  • "Explorer" tab
  • "Models" tab
  • Context menu for File panel
  • Previous page
  • Next page

Context menu for File panel

Context menu for File panel

File operation

1. File operation

Delete from Hard drive

: you can customize this menu-item in the preferences dialog

Open with...

2. Open with...

Open with Associated Application

: open selected item in the associated application.
You can customize this menu-item in the preferences dialog .

Open in Material/Map Browser

: open the materials which used in the 3ds Max file in the Material/Map Browser.

Merge

Merge with default 3ds Max Dialog

: merge selected items same as using the 3ds Max menu-item "Merge".

Merge as xRef scene

: merge selected items as xRef scene.
See more variations for merging here.

Custom menu
Open the script in the MaxScript Editor.
Remove menu item

Add Custom menu

:
Open the dialog "Manage Custom Menus"

Thumbnail

Render Thumbnail

: start rendering thumbnails for selected items in the File panel.

Add to "Batch Render&Relink"

: add selected items to list of files for batch rendering with Batch Render&Relink.

Settings

: open the "Render Thumbnails Preferences" dialog.


Context menu for TreeView

×

  • Project Manager - Manual
  • User Interface
  • "Explorer" tab
  • "Models" tab
  • Context menu for TreeView
  • Previous page
  • Next page

Context menu for TreeView

Context menu for TreeView

Add directories to tree view

1. Add directories to tree view

Organize tree view

2. Organize tree view

Directory operation

3. Directory operation

Delete from Hard drive

: you can customize this menu-item in the preferences dialog


"Materials" tab

Main toolbar

1. Main toolbar
See more about common items for main toolbar here

Materials tools
Assign material to selection.
Put Material(s) to Material Editor
Save Material(s) from Selection to Material Library
Save Material from Material Editor to Material Library

Tree view

File panel

Material/Map tree

Material Merge Options

6. Material Merge Options

Save material options

7. Save material options

Information panel

8. Information panel

The contents of "Materials" tab

Assign materials
Context menu for File panel
Material Merge options


Assign materials

×

  • Project Manager - Manual
  • User Interface
  • "Explorer" tab
  • "Materials" tab
  • Assign materials
  • Previous page
  • Next page

Assign materials

You can assign a material in several ways.
  • •
    Drag selected material(s) to the objects.
  • •
    On the toolbar, click [image] (Assign Material To Selection).
If more than one material is selected, materials will be converted to one multi-material
After merging all your options for merge will be applied.
Also you can drag/assign a material to selected face(s).
Also you can drag a material(s) to Material Editor (Standart or Slate)


Context menu for File panel

×

  • Project Manager - Manual
  • User Interface
  • "Explorer" tab
  • "Materials" tab
  • Context menu for File panel
  • Previous page
  • Next page

Context menu for File panel

Context menu for File panel

Material operation

1. Material operation

Save Materials from Selection

: see options for saving the material here.

Delete from Material Library

: you can customize this menu-item in the preferences dialog

View image

2. View image
Open the thumbnail for selected item in the associated application.
You can customize this in the preferences dialog .

Custom menu
Open the script in the MaxScript Editor.
Remove menu item

Add Custom menu

:
Open the dialog "Manage Custom Menus"

Thumbnail

Render Thumbnail

: start rendering thumbnails for selected items in the File panel.

Add to "Batch Render&Relink"

: add selected items to list of files for batch rendering with Batch Render&Relink.

Settings

: open the "Render Thumbnails Preferences" dialog.


Material Merge options

×

  • Project Manager - Manual
  • User Interface
  • "Explorer" tab
  • "Materials" tab
  • Material Merge options
  • Previous page
  • Next page

Material Merge options

Material Merge options

Material Merge options

1. Material Merge options

Material options

2. Material options


"Textures" tab

Main toolbar

1. Main toolbar
See more about main toolbar here

File panel

3. File panel

TextureMap Options

4. TextureMap Options

New material options

5. New material options

The contents of "Textures" tab

Assign textures
Texture Merge options


Assign textures

×

  • Project Manager - Manual
  • User Interface
  • "Explorer" tab
  • "Textures" tab
  • Assign textures
  • Previous page
  • Next page

Assign textures

You can drag a texture files to the objects, Material Editor, Modify tab and viewport.

Drag to the objects or Material Editor:

This will create a new material* and apply it to objects or place it to the Material Editor (Standart or Slate).
Also you can drag/assign a texture to selected face(s).

Drag to the Modify tab:

Example for Displace modifier.
*If more than one textures is selected, material will be converted to one multi-material.
You can specify a type of created material from "TextureMap Options" (list of supported material depends on installed renderer plugins)
After merging all your options for merge will be applied.


Texture Merge options

×

  • Project Manager - Manual
  • User Interface
  • "Explorer" tab
  • "Textures" tab
  • Texture Merge options
  • Previous page
  • Next page

Texture Merge options

Texture Merge options

TextureMap options

1. TextureMap options

Material Merge options

2. Material Merge options


"HDRI" tab

Main toolbar

See more about common items for main toolbar here
Set selected HDRI file as Environment map

HDRI Merge Options

4. HDRI Merge Options


"IES" tab

Main toolbar

See more about common items for main toolbar here

Tree view

2. Tree view

File panel

3. File panel
Render
Diagramm
Click on cross in top-right corner of the item for open the dialog

IES Merge Options

4. IES Merge Options

Interactive rendering settings

5. Interactive rendering settings


Main toolbar

Open with

Open the selected files in the external application.
For add new application to the list choose the item "Open with".
Click on the cross for remove application from the list .

Navigation

Refresh List

3. Refresh List
Refresh List

Filter by File type

4. Filter by File type
Turn off for display all contents in the directory.
Note: this option not available on the "Materials" tab

Set thumbnails size

5. Set thumbnails size
Set thumbnails size on the List

View
See File Panel

Search\Filter field

Type the text for quick filter items in the list.
For search files in subdirectories press the button "Search files".

Clear filter text

8. Clear filter text

Search files
Use this for searching files in the sub directories.

Description for using search options:

type a words for searching , separated by commas.
Searching words: blue,green and same text in the searh field.
list of files - blue.max, green.max,red.max,blue_green.max

AND:

Will be found all files with names that contain ALL words.
Result of searching: blue_green.max

OR:

(default)

Will be found all files with names that contain ANY from words.
Result of searching: blue.max, green.max,blue_green.max

Advanced:

this option mix both previous serch options.
Searching words: blue,green,red and text in the searh field - blue+green|red
Will be found all files with names that contain both words blue and green or red .
Result of searching: blue_green.max,red.max

Regex:

use the regex rules for searh files.
Read more about regex on the Wikipedia.

Comments:

use the file description for searching.
Read more about how to create description for files here.


Main menu

File

Tools

Views

Customize

Configure External File Paths - open the standard 3ds Max dialog.
Preferences - open the Preferences dialog

Help
Help: open this help file.
Video Tutorials: open the web-page with video tutorials.
Hotkeys: open the window with information about hotkeys.
Activation: open the Registration dialog.
Export/Import Settings:
Create Support Request:
Check for Updates: connect to server and check available updates for plugin.
About: Open the dialog with information about plugin and credentials.


Render Thumbnails Preferences

Render Thumbnails Preferences

Settings for rendering 3d Models

View preset

2. View preset
You can manually setup a view for render the thumbnail, dependent on model orientation in a scene.
As a rule the models are oriented to Front.
In that case you can use a default view setting - top-front-right.
For use the default view point of scene, without changes, turn on the checkbox “Use default scene view”.
But for reassigning the orthographic views (Top, Front, Right, Left) you can turn on the checkbox "Override Orthographic Views".

Renderer Setup

3. Renderer Setup
Choice and configuring the renderer plugin.
Your library can contains a models and materials which are prepared for for using with different plugins of rendering.
The utility can automatically define the compatibility* of your model and material with plug-in renderer.
The utility comes with four render-preset files - for Scanline, Mental Ray, Octane and Vray renderers.
If you use any other renderer, you can configure and save custom render-preset for use with the utility .**

Use scene/studio Renderer:

Set selected renderer as default
List of availabled renderers
Link renderer to render preset file
List of render preset files
Add new render preset file to list
Remove render preset file from list
Use render settings from the file of model.
*Compatibility of the model to renderer determinates by the materials used in the model.
For example, “Vray Material” is compatible only to the Vray render, or “Arch & Design (mi)” to the Mental Ray render.
** Do not save your render settings over the render-preset files which are the utilyty components. Otherwise
these savings will be deleted while the installation of the new version of the utility.

Custom studio

4. Custom studio

Use custom studio:

check for using custom studio for rendering preview.
Set path to studio
Open the studio file for edit.
Open the window with description how to customize studio.
The program creates the studio while rendering of models and materials by default, but you may create your own file with the studio*,
where your models will be rendered in.
To activate the ability to create the Custom Studio turn on the checkbox “Use Custom Studio”.
Pay attention, that the settings of the “ View Presets ” will become unavailable.
The Custom Studio has to contain the camera and the object with the name “SceneDummy” for the correct rendering. (For the Materials renderings the object’s name should be “MaterialDummy”).
Set the equal size of the final image in the dialog window “Render Setup” and turn on “Safe Frame” in the viewport.
Set the desired view by the object “SceneDummy” or “MaterialDummy”.
For additional see the files “Sample_Studio.max” and “Material.max” which go with the utility.
*The textures of the materials may appear uncorrect with the mapping by the channel different from 1 when using the Custom Studio.
Also at rendering of multi-materials the materials with the ID more then 1 will be ignored.

Settings for rendering Materials

5. Settings for rendering Materials

Render output settings.

Override output gamma

6. Override output gamma

Save as type

7. Save as type The image can be saved as ".png" with alpha channel or ".jpg".


Manage Custom Menus

Manage Custom Menus
You can open this dialog from context menu.
Use the menu item "Add Custom menu" for add script as menu item.

List of custom menus

1. List of custom menus List of the scripts which used in the "Custom Menu"

Rename Menu

2. Rename Menu

Use menu for Category

3. Use menu for Category


"Asset Files" Tab

"Asset Files" Tab

Main menu

1. Main menu
See here.

3ds Max scenes

2. 3ds Max scenes

Main toolbar

See description here.

Filter items

Filter items

5. Filter items
You can filter items in the list by
1) file status
2) selected objects
3) extension

Filter by extension

6. Filter by extension

Filter extensions by type

7. Filter extensions by type

Search&Collect

8. Search&Collect Read about this section here.

Options

Display list of the 3ds Max scenes
Display the options for "Find&Replace"
Display the options for "Search&Collect"

The contents of "Asset Files" Tab

Search&Collect
Find&Replace
Main toolbar
Main menu
Confirm Replace dialog
Context menu for 3ds Max scenes


Search&Collect

Search directories

1. Search directories
Here you can setup directories for search the maps.
You may add nearly unlimited quantity of folders for the search.
In order to add the folder type the path to the field or press the button with three dots.
In order to exclude the folder out of search turn off the checkbox.
In order to delete the folder press the “Delete” button.

Collect path

2. Collect path

Exclude from collect

3. Exclude from collect
Here you can exclude files from collecting by extension.

Relink options

4. Relink options


Find&Replace

Here you can replace part of the file path to another.

Find assets with

1. Find assets with

Ignore Case

2. Ignore Case

Copy text

3. Copy text

Replace

Apply


Main toolbar

Open with
Open the selected files in the external application.
For add new application to the list choose the item "Open with".
Click on the cross for remove application from the list .

Place materials into Material Editor

2. Place materials into Material Editor Put the materials, dependent to the selected items, into Material Editor.

Place textutreMaps into Material Editor

3. Place textutreMaps into Material Editor Put the textureMaps, dependent to the selected items, into Material Editor.

Select objects

4. Select objects Select objects, dependent to the selected items.

Set thumbnails size

5. Set thumbnails size
Set thumbnails size on the List

View
See File Panel

Refresh List

7. Refresh List


Main menu

File

View image

: open an image(s)/thumbnail(s) for selected items in external application. See option.

Tools

Views

Customize

Configure External File Paths - open the standart 3ds Max dialog.
Preferences - open the Preferences dialog

Help
Help: open this help file.
Video Tutorials: open the web-page with video tutorials.
Hotkeys: open the window with information about hotkeys.
Activation: open the Registration dialog.
Export/Import Settings:
Create Support Request:
Check for Updates: connect to server and check available updates for plugin.
About: Open the dialog with information about plugin and credentials.


×

  • Project Manager - Manual
  • User Interface
  • "Asset Files" Tab
  • Confirm Replace dialog
  • Previous page
  • Next page

Confirm Replace dialog

Read about: Configuration for copying the files with the same name, but different in content.


Context menu for 3ds Max scenes

Context menu for 3ds Max scenes

Scene operations

1. Scene operations

XRefs

Show maps from scene

3. Show maps from scene

Navigate


Preferences

The contents of Preferences

Tab page "Explorer"
Tab page "Asset Files"
Tab page "Miscellaneous"
Tab page "DataBase"


Tab page "Explorer"

Tab page "Explorer"

TreeView

1. TreeView

Merge Proxy

2. Merge Proxy

Miscellaneous

3. Miscellaneous

Opening the 3ds Max scene

4. Opening the 3ds Max scene


Tab page "Asset Files"

Tab page "Asset Files"

Configuration for copying the files with the same name,

but different in content.

1. Configuration for copying the files with the same name, but different in content.

Keep old path (not copy-keep old link)

: do not copy the file and not to change the link

Set new path (not copy-relink to target)

: do not copy the file and set the link to existing file in the collecting folder.

Copy and rename

: copy and rename the file automatically.

Display dialog (ask the user each time)

: display a dialog with ability a choise of action.

Backup

2. Backup

Backup in Batch mode

: keep a copy of the file in the folder "Autoback\FPF_Batch_Backup"

Explore

: open the backup folder

Clear

: clear the backup folder

Clear Material Editor

3. Clear Material Editor

Miscellaneous

4. Miscellaneous

Make log:

save log file with information about all renderings and relinking files. (Path: "UserScripts\TrackScripts\Plugin\temp\log")


Tab page "Miscellaneous"

Tab page "Miscellaneous"

Miscellaneous options

1. Miscellaneous options

Check Network Paths

: check for the missing network paths in the "Configure External File Paths" dialog.
The missing network path can greatly slow down working with the scene.

Configure Paths:

open the standard 3ds Max dialog.

Reset Settings

: reset plugin settings to default.

Auto check for updates

: automatically connect to server and check available updates for plugin.

Image viewer

2. Image viewer
Choose a default viwer what will be used for opening image files from context menu.

Advanced settings for merging

3. Advanced settings for merging

Fix object transformations:

Use this option in case if your models library contains a lot of models with incorrect transformations.
Such as incorrect scale or rotation.

Clear image cache

4. Clear image cache


Tab page "DataBase"

Tab page "DataBase"

SQLite

1. SQLite
Type of database

Sql settings

2. Sql settings

SQLite settings:

Path to SQLite database file.
For using this type of database not required for any special knowledges.
Simple install and use.
Not recommended use SQLite database for sync a database for multiple users.
Please use the MySQL database for this.

MySQL settings:

Use a MySQL database for synchronize a database for users on local network.
This is ability has a sense only for using one database for multiple users.
Your own administrator must install and configure the MySQL database.
Note: You must use a network paths in TreeView.

Copy database...

Convert paths to:

Backup settings:

5. Backup settings:


Support request dialog

Support request dialog
If something’s not working, please generate the bug-report, using this form.
Also you can let us know more directly from the Technical Support Forum

Description

Describe about the problem and explain step by step what you did before the error occurred.
This will help to quickly find and fix the problem.


Ordering & License

You can instantly order the fully licensed version of Project Manager at any time over the Internet with any major credit card, bank / wire transfer, PayPal, check or cash.
After you purchased a license, you'll receive your personal registration code and the release version of Project Manager.
Please visit https://3d-kstudio.com/product/project-manager/ for pricing information.
Here's what you can do with paid license of our product:
  • •
    Remove watermark on the files and enable select all files in list
  • •
    Enable high resolution rendering
  • •
    FREE minor version upgrades.
  • •
    FREE lifetime support. We promise prompt and courteous answers to your questions.
Once you have ordered the Project Manager registration key please enter it into the registration dialog.

The contents of Ordering & License

Registration Dialog
Software License Agreement


Registration Dialog

After buying the Project Manager start the 3ds Max and install the plugin.
For starting the registration choose the item "Activation" in the main 3ds Max menu "Project Manager"
or run the Project Manager and choose the item "Activation" in the menu "Help".

Generate new identification-file

1. Generate new identification-file
For generation the new identification file press the button "Generate ID-File".
After open the dashboard and send the identification file.
During from 2 up to 48 hour you will receive the new license.
Updating the license key:

Move License

2. Move License
In case if you update your computer, reinstall the Windows or by any other reason your license stop working you can update the license key for free.

Select the most suitable transferring type:

1) Run the “Registration” tool and click the “Move License” button.
Choose from the opened window the license used previously.
The request for the transferring will be automatically sent to the server.
Your license will be updated immediately. (Only if you are upgrading the license is rare)
2) Run the “Registration” tool and click “Generate ID-File” button.
Login and send the identification file using dashboard.
During one hour you will receive the new license.

Apply License key

3. Apply License key
After receiving the license key press this button and choose the license key.
Note:
The identification file must be generated on computer
where you plan use the plugin.
Please use your permanent e-mail box (same as you use at purchasing).
You can always restore the password on the page Restore password.


Software License Agreement

This is a Software License Agreement (hereinafter, this "LICENSE") for "Project Manager".
This LICENSE is a legal agreement between you (either an individual or a single entity) and Alexander Kramer ("CREATOR"),
for Project Manager product consisting of all files, demos, intermediate files, media, printed materials, and "online"
or electronic documentation (the "SOFTWARE") contained in this installation file.
BEFORE YOU CAN CONTINUE TO INSTALL THE SOFTWARE, IT IS NECESSARY FOR YOU TO AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE. BY SELECTING THE "I ACCEPT" RADIO BUTTON, OR BY INSTALLING, COPYING, OR OTHERWISE USING THE SOFTWARE, YOU AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE INCLUDING THE WARRANTY DISCLAIMERS, LIMITATIONS ON LIABILITY AND TERMINATION PROVISIONS.
If you do not agree to the terms of this LICENSE please uninstall the SOFTWARE and remove all copies from the HDD.
I. OWNERSHIP; LICENSE GRANT.
This is a license agreement and NOT an agreement for sale. CREATOR continues to own the copy of the SOFTWARE and all copies thereof. Your rights to the SOFTWARE are specified in this LICENSE, and CREATOR retains all rights not expressly granted to you in this LICENSE. CREATOR hereby grants to you, and you accept, a non-exclusive, non-transferable license to use, copy and modify the SOFTWARE only as authorized below.
II. PERMITTED USES.
This LICENSE grants you the following rights:
A. The SOFTWARE is licensed per individual user. You may use a copy of the SOFTWARE on the same number of computers as the number of licenses purchased (e.g. four user licenses allows you to use the SOFTWARE on up to four computers concurrently or by four different users, eight user licenses allows you to use the SOFTWARE on up to eight computers concurrently or by eight different users). The SOFTWARE is in "use" on a computer when it is loaded into temporary memory (i.e. RAM) or installed into permanent memory (e.g. hard disk, CD-ROM, or other storage devise) of that computer.
B. You may use the SOFTWARE to create your own products, as long as, they do NOT provide the same, or substantially the same, functionality as any CREATOR product.
C. Content developed using the unlicensed version must not be used for profit activities or otherwise, except so far as this is for educational or demonstration purposes in a content developed specifically for the purpose of demonstrating the functionality of this software.
III. PROHIBITED USES.
You may not, without the prior written permission of CREATOR:
A. Disassemble, decompile or "unlock", decode or otherwise reverse translate or reverse engineer, or attempt in any manner to reconstruct or discover any source code or underlying algorithms of the SOFTWARE.
B You may use the SOFTWARE to create your own products, as long as, they do NOT provide the same, or substantially the same, functionality as any CREATOR product.
C. Transfer, rent, lease, or sublicense the SOFTWARE.
D. Separate the software programs comprising the SOFTWARE for use by more than one user at a time.
IV. REDISTRIBUTION.
A. YOU MAY NOT CREATE ANY TOOL, REDISTRIBUTABLE, OR SOFTWARE APPLICATION PRODUCT THAT DIRECTLY OR INDIRECTLY COMPETES WITH THE SOFTWARE AND WHICH UTILIZES ALL OR ANY PORTION OF THE SOFTWARE contained within this installation. You shall not develop software application products that provide an application programming interface to the SOFTWARE or SOFTWARE as modified.
B. You may NOT distribute the SOFTWARE, in any format, to other users.
C. In addition to the other requirements set forth in this Section IV, you hereby agree to indemnify, hold harmless, and defend CREATOR from and against any and all liabilities, damages, losses, costs and expenses (including reasonable attorneys' fees) arising from or related to any claim, action, proceeding or allegation that arises or results, either directly or indirectly, from the use of any of your software application product(s).
V. COPYRIGHT.
All title and copyrights in and to the SOFTWARE (including but not limited to source code, images, photographs, animation, video and text incorporated into the SOFTWARE) except DotNetZip library (see V.I this LICENSE), FreeImage (see V.II this LICENSE), ShellContextMenu (see V.III this LICENSE), AI.CONTROL.DLL (see V.IV this LICENSE), Windows API Code Pack(see V.V this LICENSE) and EXIV2 UTILITY
(see V.VI this LICENSE) and and are owned by CREATOR. The SOFTWARE is protected by copyright laws and international treaty provisions. All rights are reserved worldwide. You must treat the SOFTWARE like any other copyrighted material, except that you may, in addition to the copies permitted in this LICENSE, make one copy of the SOFTWARE solely for backup or archival purposes. No part of the SOFTWARE may be reproduced, transmitted, transcribed, stored in any retrieval system, or translated into any language by any means without the express prior written permission of CREATOR.
V.I LICENSE FOR DotNetZip library.
DotNetZip library is used under the
Microsoft Public License (Ms-PL).
Link to Microsoft Public License (Ms-PL): https://msdn.microsoft.com/en-us/library/ff649456.aspx
https://dotnetzip.codeplex.com
V.II LICENSE FOR FREEIMAGE.
This SOFTWARE uses the FreeImage open source image library .
FreeImage is used under the
FreeImage Public License (FIPL)
Link to FreeImage Public License (FIPL): http://freeimage.sourceforge.net/freeimage-license.txt
http://freeimage.sourceforge.net
V.III LICENSE FOR SHELLCONTEXTMENU.DLL.
This SOFTWARE is based in part on the open source code of the Andrew Vos with the kind permission of the author.
www.andrewvos.com/2009/01/06/shellcontextmenu2
Copyright © 2009 Andrew Vos
V.IV LICENSE FOR AI.CONTROL.DLL.
This SOFTWARE is based in part on the open source code of the red_moon is licensed under
Code Project Open License (CPOL)
Link to Code Project Open License (CPOL): http://www.codeproject.com/info/cpol10.aspx
http://www.codeproject.com/Articles/98967/A-ToolTip-with-Title-Multiline-Contents-and-Image
Copyright © 2010 red_moon
V.V LICENSE FOR WINDOWS API CODE PACK.
Windows API Code Pack is used under the
Microsoft Public License (Ms-PL).
Link to Microsoft Public License (Ms-PL): https://msdn.microsoft.com/en-us/library/ff649456.aspx
V.VI LICENSE FOR EXIV2 UTILITY.
Exiv2 utility is used under the
GNU General Public License (Version 2).
Link to GNU General Public License (Version 2): http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
http://www.exiv2.org
VI. TERMINATION.
This LICENSE and your right to use the SOFTWARE will terminate immediately without notice from CREATOR if you fail to comply with the terms and conditions of this LICENSE. Upon termination, you agree to destroy the SOFTWARE, including all accompanying documents and copies. This is in addition to and not in lieu of any criminal, civil or other remedies available to CREATOR.
VII. DISCLAIMER OF WARRANTY.
CREATOR expressly disclaims any warranty for the SOFTWARE. THE SOFTWARE AND ANY RELATED DOCUMENTATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NONINFRINGEMENT. CREATOR DOES NOT WARRANT, GUARANTEE, OR MAKE ANY REPRESENTATIONS REGARDING THE USE, OR THE RESULTS OF THE USE, OF THE SOFTWARE IN TERMS OF CORRECTNESS, ACCURACY, RELIABILITY, OR OTHERWISE. THE ENTIRE RISK ARISING OUT OF USE OR PERFORMANCE OF THE SOFTWARE REMAINS WITH YOU. No oral or written information or advice given by CREATOR or its employees shall create a warranty or in any way increase the scope of this warranty.
VIII. LIMITATION OF LIABILITIES.
CREATOR' liability, whether in contract, tort, or otherwise, arising out of Licensee's use of, or in connection with, the SOFTWARE, or otherwise under this Agreement, shall not exceed the amount of the license fee paid by you to CREATOR. IN NO EVENT SHALL CREATOR OR ITS SUPPLIERS BE LIABLE FOR ANY SPECIAL, INCIDENTAL, INDIRECT, OR CONSEQUENTIAL DAMAGES WHATSOEVER (INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION, OR ANY OTHER PECUNIARY LOSS) ARISING OUT OF THE USE OF OR INABILITY TO USE THE SOFTWARE, EVEN IF CREATOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
IX. MISCELLANEOUS.
In the event of invalidity of any provision of this LICENSE, the parties agree that such invalidity shall not affect the validity of the remaining portions. You agree that you will not export or re-export the Software without the appropriate government licenses. This is the entire agreement between you and CREATOR which supersedes any prior agreement, whether written or oral, relating to this subject matter. CREATOR reserves all rights not specifically granted in this EULA.
Information contained in this agreement is subject to change without notice.
X. ACKNOWLEDGEMENTS.
You acknowledge that you have read this LICENSE, understand it, and agree to be bound by its terms and conditions.
XI. EMAIL:
Feel free to email any questions regarding this license or any other questions about the Software to support@3d-kstudio.com
Correspondence can be in English, Ukrainian or Russian.


Contacts & Credits

Product website:
https://3d-kstudio.com/product/project-manager/
Support e-mail:
support@3d-kstudio.com
Sales e-mail:
sales@3d-kstudio.com
Created by:
Alexander Kramer
Credits:
FreeImage
The software contains the FreeImage library, available at http://freeimage.sourceforge.net , and licensed under the FreeImage Public License (FIPL) .
Ai.Control
The software contains the Ai.Control library, available at codeproject.com , and licensed under the Code Project Open License (CPOL) .
ShellContextMenu
The software contains the ShellContextMenu library, available at andrewvos.com , and used with the kind permission of the author.
DotNetZip
The software contains the DotNetZip library, available at https://dotnetzip.codeplex.com , and licensed under the Microsoft Public License (Ms-PL) .
Windows API Code Pack
The software contains the Windows API Code Pack library, licensed under the Microsoft Public License (Ms-PL) .
Exiv2 utility
The software contains the DotNetZip library, available at http://www.exiv2.org , and licensed under the GNU General Public License (Version 2) .